<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:paddingBottom="@dimen/activity_vertical_margin"
    android:paddingLeft="@dimen/activity_horizontal_margin"
    android:paddingRight="@dimen/activity_horizontal_margin"
    android:paddingTop="@dimen/activity_vertical_margin"
    tools:context=".MainActivity" >

    <Button
        android:id="@+id/btnStart"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentLeft="true"
        android:layout_alignParentRight="true"
        android:layout_alignParentTop="true"
        android:text="@string/start" />

    <Button
        android:id="@+id/btnStop"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignLeft="@+id/btnStart"
        android:layout_alignRight="@+id/btnStart"
        android:layout_below="@+id/btnStart"
        android:text="@string/stop" />

    <EditText
        android:id="@+id/editTextPort"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignLeft="@+id/textViewPort"
        android:layout_alignRight="@+id/textViewPort"
        android:layout_below="@+id/textViewPort"
        android:text="8080"
        android:hint="8080"
        android:ems="10"
        android:inputType="number" />

    <TextView
        android:id="@+id/textViewHttp"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignLeft="@+id/editTextPort"
        android:layout_alignRight="@+id/editTextPort"
        android:layout_below="@+id/editTextPort"
        android:text="SMS Server:" />

    <EditText
        android:id="@+id/editTextHttp"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignLeft="@+id/textViewHttp"
        android:layout_alignRight="@+id/textViewHttp"
        android:layout_below="@+id/textViewHttp"
        android:text="sms.rthoni.com"
        android:hint="sms.rthoni.com"
        android:ems="10" >

        <requestFocus />
    </EditText>

    <TextView
        android:id="@+id/textViewName"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignLeft="@+id/editTextHttp"
        android:layout_alignRight="@+id/editTextHttp"
        android:layout_below="@+id/editTextHttp"
        android:text="Name:" />

    <EditText
        android:id="@+id/editTextName"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignLeft="@+id/textViewName"
        android:layout_alignRight="@+id/textViewName"
        android:layout_below="@+id/textViewName"
        android:ems="10" />

    <TextView
        android:id="@+id/textViewNumber"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignLeft="@+id/editTextName"
        android:layout_alignRight="@+id/editTextName"
        android:layout_below="@+id/editTextName"
        android:text="Phone Number:" />

    <EditText
        android:id="@+id/editTextNumber"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignLeft="@+id/textViewNumber"
        android:layout_alignRight="@+id/textViewNumber"
        android:layout_below="@+id/textViewNumber"
        android:ems="10"
        android:inputType="phone" />

    <CheckBox
        android:id="@+id/checkBoxBoot"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignLeft="@+id/btnStop"
        android:layout_alignRight="@+id/btnStop"
        android:layout_below="@+id/btnStop"
        android:checked="true"
        android:text="Start at Boot" />

    <TextView
        android:id="@+id/textViewPort"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignLeft="@+id/checkBoxBoot"
        android:layout_alignRight="@+id/checkBoxBoot"
        android:layout_below="@+id/checkBoxBoot"
        android:text="Port:" />

</RelativeLayout>
